<template>
  <div class="questionnaire">
    <h1>夏季防暑随访收集问卷</h1>
    <el-form :model="formData" label-width="80px">
      <el-form-item label="问题一">
        <el-input v-model="formData.question1"></el-input>
      </el-form-item>
      <el-form-item label="问题二">
        <el-input v-model="formData.question2"></el-input>
      </el-form-item>
      <el-form-item label="问题三">
        <el-radio-group v-model="formData.question3">
          <el-radio label="选项1">选项1</el-radio>
          <el-radio label="选项2">选项2</el-radio>
          <el-radio label="选项3">选项3</el-radio>
        </el-radio-group>
      </el-form-item>
      <el-form-item label="问题四">
        <el-radio-group v-model="formData.question3">
          <el-radio label="选项1">选项1</el-radio>
          <el-radio label="选项2">选项2</el-radio>
          <el-radio label="选项3">选项3</el-radio>
        </el-radio-group>
      </el-form-item>
      <el-form-item label="问题五">
        <el-radio-group v-model="formData.question3">
          <el-radio label="选项1">选项1</el-radio>
          <el-radio label="选项2">选项2</el-radio>
          <el-radio label="选项3">选项3</el-radio>
        </el-radio-group>
      </el-form-item>
      <el-form-item label="问题六">
        <el-radio-group v-model="formData.question3">
          <el-radio label="选项1">选项1</el-radio>
          <el-radio label="选项2">选项2</el-radio>
          <el-radio label="选项3">选项3</el-radio>
        </el-radio-group>
      </el-form-item>
      <el-form-item>
        <el-button type="primary" @click="submitForm">提交问卷</el-button>
      </el-form-item>
    </el-form>
  </div>
</template>

<script>
export default {
  data() {
    return {
      formData: {
        question1: "",
        question2: "",
        question3: "",
      },
    };
  },

  created() {
    this.getQuestionnaire();
  },
  methods: {
    submitForm() {
      // 提交表单逻辑
      console.log(this.formData);
      // 可以将数据提交到后端或者进行其他处理
    },
    getQuestionnaire() {
      this.taskid = this.$route.query.taskid;
      this.userid = this.$route.query.userid;
      this.$modal.msgSuccess("用户id为" + this.userid);
      this.$modal.msgSuccess("任务id为" + this.taskid);
    },
  },
};
</script>

<style scoped>
.questionnaire {
  max-width: 600px;
  margin: 0 auto;
  padding: 20px;
  border: 1px solid #eee;
  border-radius: 5px;
  background-color: #e1f3f2;
}
</style>
